import { DataTypes, Sequelize } from "sequelize";
import { BlacklistUsers } from "./models/blacklistusers";
import { CommandBlacklist } from "./models/commandblacklist";
import { Players } from "./models/players";

export const db = new Sequelize({
	dialect: 'sqlite',
	storage: './database.sqlite',
	logging: false
});

BlacklistUsers.init({
    user_id: {
        type: DataTypes.TEXT,
        primaryKey: true
    }
},
{
    tableName: 'BlacklistUsers',
    sequelize: db
});

CommandBlacklist.init({
    user_id: DataTypes.TEXT,
    guild_id: DataTypes.TEXT,
    blacklist: {
        type: DataTypes.TEXT,
        defaultValue: '{}'
    }
},
{
    tableName: 'CommandBlacklist',
    sequelize: db
});

Players.init({
    user_id: {
        type: DataTypes.TEXT,
        primaryKey: true
    },
    start: {
        type: DataTypes.BIGINT
    },
    spent: {
        type: DataTypes.BIGINT,
        defaultValue: 0
    }
},
{
    tableName: 'Players',
    sequelize: db
});

(async () => {
    await db.sync();
})();
