import { ApplicationCommandOptionData, ApplicationCommandOptionType, CommandInteraction } from "discord.js"
import { Players } from "../models/players"
import { SlashCommand } from "./slash"

export class InitCommand implements SlashCommand {
	name = 'init'
    description = 'Adds you as a player'
    permission = []
    ownerOnly = false
    guildOnly = true
    args: ApplicationCommandOptionData[] = []

	async execute(int: CommandInteraction) {
        const player = await Players.findOne({
            where: {
                user_id: int.user.id
            }
        });

        if (player) return int.reply({
            content: "You're already in the game.",
            ephemeral: true
        });

        Players.create({
            user_id: int.user.id,
            start: Date.now()/1000
        });
        
        return int.reply({
            content: "You've been added to the game.",
            ephemeral: true
        })
	}
};
